1# Makefile.in generated by automake 1.9.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# This file is part of flex.
18
19# Redistribution and use in source and binary forms, with or without
20# modification, are permitted provided that the following conditions
21# are met:
22
23# 1. Redistributions of source code must retain the above copyright
24#    notice, this list of conditions and the following disclaimer.
25# 2. Redistributions in binary form must reproduce the above copyright
26#    notice, this list of conditions and the following disclaimer in the
27#    documentation and/or other materials provided with the distribution.
28
29# Neither the name of the University nor the names of its contributors
30# may be used to endorse or promote products derived from this software
31# without specific prior written permission.
32
33# THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
34# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
35# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
36# PURPOSE.
37
38srcdir = @srcdir@
39top_srcdir = @top_srcdir@
40VPATH = @srcdir@
41pkgdatadir = $(datadir)/@PACKAGE@
42pkglibdir = $(libdir)/@PACKAGE@
43pkgincludedir = $(includedir)/@PACKAGE@
44top_builddir = ..
45am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46INSTALL = @INSTALL@
47install_sh_DATA = $(install_sh) -c -m 644
48install_sh_PROGRAM = $(install_sh) -c
49install_sh_SCRIPT = $(install_sh) -c
50INSTALL_HEADER = $(INSTALL_DATA)
51transform = $(program_transform_name)
52NORMAL_INSTALL = :
53PRE_INSTALL = :
54POST_INSTALL = :
55NORMAL_UNINSTALL = :
56PRE_UNINSTALL = :
57POST_UNINSTALL = :
58build_triplet = @build@
59host_triplet = @host@
60subdir = tests
61DIST_COMMON = README $(dist_noinst_SCRIPTS) $(srcdir)/Makefile.am \
62	$(srcdir)/Makefile.in
63ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
65	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
66	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
67	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
68	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.in
69am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70	$(ACLOCAL_M4)
71mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
72CONFIG_HEADER = $(top_builddir)/config.h
73CONFIG_CLEAN_FILES =
74SCRIPTS = $(dist_noinst_SCRIPTS)
75SOURCES =
76DIST_SOURCES =
77RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
78	html-recursive info-recursive install-data-recursive \
79	install-exec-recursive install-info-recursive \
80	install-recursive installcheck-recursive installdirs-recursive \
81	pdf-recursive ps-recursive uninstall-info-recursive \
82	uninstall-recursive
83ETAGS = etags
84CTAGS = ctags
85DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
86ACLOCAL = @ACLOCAL@
87ALLOCA = @ALLOCA@
88AMDEP_FALSE = @AMDEP_FALSE@
89AMDEP_TRUE = @AMDEP_TRUE@
90AMTAR = @AMTAR@
91AUTOCONF = @AUTOCONF@
92AUTOHEADER = @AUTOHEADER@
93AUTOMAKE = @AUTOMAKE@
94AWK = @AWK@
95BISON = @BISON@
96CC = @CC@
97CCDEPMODE = @CCDEPMODE@
98CFLAGS = @CFLAGS@
99CPP = @CPP@
100CPPFLAGS = @CPPFLAGS@
101CXX = @CXX@
102CXXDEPMODE = @CXXDEPMODE@
103CXXFLAGS = @CXXFLAGS@
104CYGPATH_W = @CYGPATH_W@
105DEFS = @DEFS@
106DEPDIR = @DEPDIR@
107ECHO_C = @ECHO_C@
108ECHO_N = @ECHO_N@
109ECHO_T = @ECHO_T@
110EGREP = @EGREP@
111EXEEXT = @EXEEXT@
112GMSGFMT = @GMSGFMT@
113HELP2MAN = @HELP2MAN@
114INDENT = @INDENT@
115INSTALL_DATA = @INSTALL_DATA@
116INSTALL_PROGRAM = @INSTALL_PROGRAM@
117INSTALL_SCRIPT = @INSTALL_SCRIPT@
118INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
119INTLLIBS = @INTLLIBS@
120LDFLAGS = @LDFLAGS@
121LEX = @LEX@
122LEXLIB = @LEXLIB@
123LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
124LIBICONV = @LIBICONV@
125LIBINTL = @LIBINTL@
126LIBOBJS = @LIBOBJS@
127LIBS = @LIBS@
128LN_S = @LN_S@
129LTLIBICONV = @LTLIBICONV@
130LTLIBINTL = @LTLIBINTL@
131LTLIBOBJS = @LTLIBOBJS@
132M4 = @M4@
133MAKEINFO = @MAKEINFO@
134MKINSTALLDIRS = @MKINSTALLDIRS@
135MSGFMT = @MSGFMT@
136MSGMERGE = @MSGMERGE@
137OBJEXT = @OBJEXT@
138PACKAGE = @PACKAGE@
139PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
140PACKAGE_NAME = @PACKAGE_NAME@
141PACKAGE_STRING = @PACKAGE_STRING@
142PACKAGE_TARNAME = @PACKAGE_TARNAME@
143PACKAGE_VERSION = @PACKAGE_VERSION@
144PATH_SEPARATOR = @PATH_SEPARATOR@
145POSUB = @POSUB@
146RANLIB = @RANLIB@
147SET_MAKE = @SET_MAKE@
148SHELL = @SHELL@
149STRIP = @STRIP@
150USE_NLS = @USE_NLS@
151VERSION = @VERSION@
152XGETTEXT = @XGETTEXT@
153YACC = @YACC@
154ac_ct_CC = @ac_ct_CC@
155ac_ct_CXX = @ac_ct_CXX@
156ac_ct_RANLIB = @ac_ct_RANLIB@
157ac_ct_STRIP = @ac_ct_STRIP@
158am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
159am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
160am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
161am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
162am__include = @am__include@
163am__leading_dot = @am__leading_dot@
164am__quote = @am__quote@
165am__tar = @am__tar@
166am__untar = @am__untar@
167bindir = @bindir@
168build = @build@
169build_alias = @build_alias@
170build_cpu = @build_cpu@
171build_os = @build_os@
172build_vendor = @build_vendor@
173datadir = @datadir@
174exec_prefix = @exec_prefix@
175host = @host@
176host_alias = @host_alias@
177host_cpu = @host_cpu@
178host_os = @host_os@
179host_vendor = @host_vendor@
180includedir = @includedir@
181infodir = @infodir@
182install_sh = @install_sh@
183libdir = @libdir@
184libexecdir = @libexecdir@
185localstatedir = @localstatedir@
186mandir = @mandir@
187mkdir_p = @mkdir_p@
188oldincludedir = @oldincludedir@
189prefix = @prefix@
190program_transform_name = @program_transform_name@
191sbindir = @sbindir@
192sharedstatedir = @sharedstatedir@
193sysconfdir = @sysconfdir@
194target_alias = @target_alias@
195EXTRA_DIST = \
196	README
197
198dist_noinst_SCRIPTS = \
199	create-test
200
201DIST_SUBDIRS = \
202	test-concatenated-options \
203	test-c++-yywrap \
204	test-extended \
205	test-ccl \
206	test-quotes \
207	test-rescan-r \
208	test-rescan-nr \
209	test-basic-nr \
210	test-basic-r \
211	test-bison-yylloc \
212	test-bison-yylval \
213	test-bison-nr \
214	test-multiple-scanners-nr \
215	test-multiple-scanners-r \
216	test-header-nr \
217	test-header-r \
218	test-reject \
219	test-c++-multiple-scanners \
220	test-c++-basic \
221	test-posixly-correct \
222	test-posix \
223	test-mem-r \
224	test-mem-nr \
225	test-debug-nr \
226	test-debug-r \
227	test-lineno-r \
228	test-lineno-nr \
229	test-linedir-r \
230	TEMPLATE \
231	test-top \
232	test-array-nr \
233	test-array-r \
234	test-c-cpp-nr \
235	test-c-cpp-r \
236	test-include-by-buffer \
237	test-include-by-push \
238	test-include-by-reentrant \
239	test-prefix-nr \
240	test-prefix-r \
241	test-pthread \
242	test-string-nr \
243	test-string-r \
244	test-yyextra \
245	test-alloc-extra \
246	test-noansi-nr \
247	test-noansi-r \
248	test-table-opts
249
250SUBDIRS = \
251	test-concatenated-options \
252	test-c++-yywrap \
253	test-extended \
254	test-ccl \
255	test-quotes \
256	test-rescan-r \
257	test-rescan-nr \
258	test-basic-nr \
259	test-basic-r \
260	test-bison-yylloc \
261	test-bison-yylval \
262	test-bison-nr \
263	test-multiple-scanners-nr \
264	test-multiple-scanners-r \
265	test-header-nr \
266	test-header-r \
267	test-reject \
268	test-c++-multiple-scanners \
269	test-c++-basic \
270	test-posixly-correct \
271	test-posix \
272	test-mem-r \
273	test-mem-nr \
274	test-debug-nr \
275	test-debug-r \
276	test-lineno-r \
277	test-lineno-nr \
278	test-linedir-r \
279	test-array-nr \
280	test-array-r \
281	test-c-cpp-nr \
282	test-c-cpp-r \
283	test-include-by-buffer \
284	test-include-by-push \
285	test-include-by-reentrant \
286	test-prefix-nr \
287	test-prefix-r \
288	test-pthread \
289	test-string-nr \
290	test-string-r \
291	test-yyextra \
292	test-alloc-extra \
293	test-noansi-nr \
294	test-noansi-r \
295	test-top \
296	test-table-opts
297
298all: all-recursive
299
300.SUFFIXES:
301$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
302	@for dep in $?; do \
303	  case '$(am__configure_deps)' in \
304	    *$$dep*) \
305	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
306		&& exit 0; \
307	      exit 1;; \
308	  esac; \
309	done; \
310	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits  tests/Makefile'; \
311	cd $(top_srcdir) && \
312	  $(AUTOMAKE) --gnits  tests/Makefile
313.PRECIOUS: Makefile
314Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
315	@case '$?' in \
316	  *config.status*) \
317	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
318	  *) \
319	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
320	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
321	esac;
322
323$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
324	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
325
326$(top_srcdir)/configure:  $(am__configure_deps)
327	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
328$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
329	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
330uninstall-info-am:
331
332# This directory's subdirectories are mostly independent; you can cd
333# into them and run `make' without going through this Makefile.
334# To change the values of `make' variables: instead of editing Makefiles,
335# (1) if the variable is set in `config.status', edit `config.status'
336#     (which will cause the Makefiles to be regenerated when you run `make');
337# (2) otherwise, pass the desired values on the `make' command line.
338$(RECURSIVE_TARGETS):
339	@failcom='exit 1'; \
340	for f in x $$MAKEFLAGS; do \
341	  case $$f in \
342	    *=* | --[!k]*);; \
343	    *k*) failcom='fail=yes';; \
344	  esac; \
345	done; \
346	dot_seen=no; \
347	target=`echo $@ | sed s/-recursive//`; \
348	list='$(SUBDIRS)'; for subdir in $$list; do \
349	  echo "Making $$target in $$subdir"; \
350	  if test "$$subdir" = "."; then \
351	    dot_seen=yes; \
352	    local_target="$$target-am"; \
353	  else \
354	    local_target="$$target"; \
355	  fi; \
356	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
357	  || eval $$failcom; \
358	done; \
359	if test "$$dot_seen" = "no"; then \
360	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
361	fi; test -z "$$fail"
362
363mostlyclean-recursive clean-recursive distclean-recursive \
364maintainer-clean-recursive:
365	@failcom='exit 1'; \
366	for f in x $$MAKEFLAGS; do \
367	  case $$f in \
368	    *=* | --[!k]*);; \
369	    *k*) failcom='fail=yes';; \
370	  esac; \
371	done; \
372	dot_seen=no; \
373	case "$@" in \
374	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
375	  *) list='$(SUBDIRS)' ;; \
376	esac; \
377	rev=''; for subdir in $$list; do \
378	  if test "$$subdir" = "."; then :; else \
379	    rev="$$subdir $$rev"; \
380	  fi; \
381	done; \
382	rev="$$rev ."; \
383	target=`echo $@ | sed s/-recursive//`; \
384	for subdir in $$rev; do \
385	  echo "Making $$target in $$subdir"; \
386	  if test "$$subdir" = "."; then \
387	    local_target="$$target-am"; \
388	  else \
389	    local_target="$$target"; \
390	  fi; \
391	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
392	  || eval $$failcom; \
393	done && test -z "$$fail"
394tags-recursive:
395	list='$(SUBDIRS)'; for subdir in $$list; do \
396	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
397	done
398ctags-recursive:
399	list='$(SUBDIRS)'; for subdir in $$list; do \
400	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
401	done
402
403ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
404	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
405	unique=`for i in $$list; do \
406	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
407	  done | \
408	  $(AWK) '    { files[$$0] = 1; } \
409	       END { for (i in files) print i; }'`; \
410	mkid -fID $$unique
411tags: TAGS
412
413TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
414		$(TAGS_FILES) $(LISP)
415	tags=; \
416	here=`pwd`; \
417	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
418	  include_option=--etags-include; \
419	  empty_fix=.; \
420	else \
421	  include_option=--include; \
422	  empty_fix=; \
423	fi; \
424	list='$(SUBDIRS)'; for subdir in $$list; do \
425	  if test "$$subdir" = .; then :; else \
426	    test ! -f $$subdir/TAGS || \
427	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
428	  fi; \
429	done; \
430	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
431	unique=`for i in $$list; do \
432	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
433	  done | \
434	  $(AWK) '    { files[$$0] = 1; } \
435	       END { for (i in files) print i; }'`; \
436	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
437	  test -n "$$unique" || unique=$$empty_fix; \
438	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
439	    $$tags $$unique; \
440	fi
441ctags: CTAGS
442CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
443		$(TAGS_FILES) $(LISP)
444	tags=; \
445	here=`pwd`; \
446	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
447	unique=`for i in $$list; do \
448	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
449	  done | \
450	  $(AWK) '    { files[$$0] = 1; } \
451	       END { for (i in files) print i; }'`; \
452	test -z "$(CTAGS_ARGS)$$tags$$unique" \
453	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
454	     $$tags $$unique
455
456GTAGS:
457	here=`$(am__cd) $(top_builddir) && pwd` \
458	  && cd $(top_srcdir) \
459	  && gtags -i $(GTAGS_ARGS) $$here
460
461distclean-tags:
462	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
463
464distdir: $(DISTFILES)
465	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
466	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
467	list='$(DISTFILES)'; for file in $$list; do \
468	  case $$file in \
469	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
470	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
471	  esac; \
472	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
473	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
474	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
475	    dir="/$$dir"; \
476	    $(mkdir_p) "$(distdir)$$dir"; \
477	  else \
478	    dir=''; \
479	  fi; \
480	  if test -d $$d/$$file; then \
481	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
482	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
483	    fi; \
484	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
485	  else \
486	    test -f $(distdir)/$$file \
487	    || cp -p $$d/$$file $(distdir)/$$file \
488	    || exit 1; \
489	  fi; \
490	done
491	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
492	  if test "$$subdir" = .; then :; else \
493	    test -d "$(distdir)/$$subdir" \
494	    || $(mkdir_p) "$(distdir)/$$subdir" \
495	    || exit 1; \
496	    distdir=`$(am__cd) $(distdir) && pwd`; \
497	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
498	    (cd $$subdir && \
499	      $(MAKE) $(AM_MAKEFLAGS) \
500	        top_distdir="$$top_distdir" \
501	        distdir="$$distdir/$$subdir" \
502	        distdir) \
503	      || exit 1; \
504	  fi; \
505	done
506check-am: all-am
507	$(MAKE) $(AM_MAKEFLAGS) check-local
508check: check-recursive
509all-am: Makefile $(SCRIPTS)
510installdirs: installdirs-recursive
511installdirs-am:
512install: install-recursive
513install-exec: install-exec-recursive
514install-data: install-data-recursive
515uninstall: uninstall-recursive
516
517install-am: all-am
518	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
519
520installcheck: installcheck-recursive
521install-strip:
522	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
523	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
524	  `test -z '$(STRIP)' || \
525	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
526mostlyclean-generic:
527
528clean-generic:
529
530distclean-generic:
531	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
532
533maintainer-clean-generic:
534	@echo "This command is intended for maintainers to use"
535	@echo "it deletes files that may require special tools to rebuild."
536clean: clean-recursive
537
538clean-am: clean-generic mostlyclean-am
539
540distclean: distclean-recursive
541	-rm -f Makefile
542distclean-am: clean-am distclean-generic distclean-tags
543
544dvi: dvi-recursive
545
546dvi-am:
547
548html: html-recursive
549
550info: info-recursive
551
552info-am:
553
554install-data-am:
555
556install-exec-am:
557
558install-info: install-info-recursive
559
560install-man:
561
562installcheck-am:
563
564maintainer-clean: maintainer-clean-recursive
565	-rm -f Makefile
566maintainer-clean-am: distclean-am maintainer-clean-generic
567
568mostlyclean: mostlyclean-recursive
569
570mostlyclean-am: mostlyclean-generic
571
572pdf: pdf-recursive
573
574pdf-am:
575
576ps: ps-recursive
577
578ps-am:
579
580uninstall-am: uninstall-info-am
581
582uninstall-info: uninstall-info-recursive
583
584.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
585	check-local clean clean-generic clean-recursive ctags \
586	ctags-recursive distclean distclean-generic \
587	distclean-recursive distclean-tags distdir dvi dvi-am html \
588	html-am info info-am install install-am install-data \
589	install-data-am install-exec install-exec-am install-info \
590	install-info-am install-man install-strip installcheck \
591	installcheck-am installdirs installdirs-am maintainer-clean \
592	maintainer-clean-generic maintainer-clean-recursive \
593	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
594	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
595	uninstall-info-am
596
597
598# clean up before running the test suite so we dont test old builds of test code
599
600check-local: clean
601	NOK=;\
602	NFAIL=;\
603	for dir in $(SUBDIRS) ; do \
604		echo Executing test "$$dir" ; \
605		( cd "$$dir" && $(MAKE) test  > OUTPUT 2>&1 ) ; \
606		case $$? in \
607			0 )  echo Test "$$dir" succeeded.; \
608				NOK=0$$NOK;\
609				;; \
610			* )  echo Test "$$dir" FAILED. See "$$dir"/OUTPUT for details. ; \
611				NFAIL=0$$NFAIL; \
612				;; \
613		esac; \
614	done ; \
615	echo Results: ; \
616	echo Tests succeeded: `echo @ECHO_N@ "$$NOK@ECHO_C@"|wc -c`; \
617	echo Tests FAILED: `echo @ECHO_N@ "$$NFAIL@ECHO_C@"|wc -c` ; \
618	test "$$NFAIL" = ""
619# Tell versions [3.59,3.63) of GNU make to not export all variables.
620# Otherwise a system limit (for SysV at least) may be exceeded.
621.NOEXPORT:
622